## kunifiedpush 25.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

option(KUNIFIEDPUSH_CLIENT_ONLY "Build only the application client library." FALSE)

set(CMAKE_CXX_STANDARD 20)
set(KF_MIN_VERSION 6.3.0)
set(QT_MIN_VERSION 6.5)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KUNIFIEDPUSH
    VERSION_HEADER kunifiedpush_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KUnifiedPushConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Test)
find_package(OpenSSL REQUIRED)
set_package_properties(OpenSSL PROPERTIES PURPOSE "RFC 8291 push content encryption.")
if (NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)

    # for the KCM
    if (NOT KUNIFIEDPUSH_CLIENT_ONLY)
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS WebSockets)
        find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Solid Service KCMUtils)
    endif()
else()
    find_package(Gradle REQUIRED)
endif()

set(KUNIFIEDPUSH_INCLUDE_INSTALLDIR ${KDE_INSTALL_INCLUDEDIR}/KUnifiedPush)
ecm_set_disabled_deprecation_versions(QT 6.7 KF 6.7.0)
add_compile_definitions(-DOPENSSL_API_COMPAT=30000 -DOPENSSL_NO_DEPRECATED)

add_subdirectory(src)
if (BUILD_TESTING AND NOT ANDROID)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(KUNIFIEDPUSH_INSTALL_CMAKECONFIGDIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KUnifiedPush")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KUnifiedPushConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KUnifiedPushConfig.cmake"
    INSTALL_DESTINATION "${KUNIFIEDPUSH_INSTALL_CMAKECONFIGDIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KUnifiedPushConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KUnifiedPushConfigVersion.cmake"
    DESTINATION "${KUNIFIEDPUSH_INSTALL_CMAKECONFIGDIR}"
    COMPONENT Devel
)
install(EXPORT KUnifiedPushTargets DESTINATION "${KUNIFIEDPUSH_INSTALL_CMAKECONFIGDIR}" FILE KUnifiedPushTargets.cmake)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kunifiedpush_version.h DESTINATION ${KUNIFIEDPUSH_INCLUDE_INSTALLDIR} COMPONENT Devel)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/default.conf DESTINATION ${KDE_INSTALL_FULL_CONFDIR}/KDE RENAME kunifiedpush-distributor.conf)
ecm_qt_install_logging_categories(
    EXPORT KUnifiedPushLogging
    FILE org_kde_kunifiedpush.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if (NOT ANDROID AND NOT KUNIFIEDPUSH_CLIENT_ONLY)
    ki18n_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(vapid-keygen)
target_sources(vapid-keygen PRIVATE
    vapid-keygen.cpp
    ../shared/eckey.cpp
)
target_include_directories(vapid-keygen PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(vapid-keygen PRIVATE
    Qt6::Core
    OpenSSL::Crypto
)


add_executable(webpush-notify)
target_sources(webpush-notify PRIVATE
    webpush-notify.cpp
)
target_include_directories(webpush-notify PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(webpush-notify PRIVATE
    KUnifiedPushNotifier
    Qt6::Network
)

## kunifiedpush 25.04.0

=== debian/changelog ===
kunifiedpush (25.04.0-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the dbus-daemon build dependency, needed to invoke
    dbus-run-session during dh_auto_test.
  * Change the section of the binary package kunifiedpush to "kde".

 -- Pino Toscano <pino@debian.org>  Sun, 27 Apr 2025 08:15:58 +0200

kunifiedpush (25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Update debian/copyright.
  * Update watch file and upstream GPG signing key as this is part of
    release-service.
  * ACK 25.03.90-1.1 NMU. (Closes: #1102641)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 09:05:57 +0200

kunifiedpush (25.03.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 14:22:24 +0300

kunifiedpush (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh upstream metadata.
  * Adapt watch file to kunifiedpush now being part of KDE Gear
    releases.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * New upstream release (25.03.90).
  * Update the list of installed files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Apr 2025 19:26:26 +0200

kunifiedpush (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1078570)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Apr 2025 18:13:50 +0200

=== debian/control ===
Source: kunifiedpush
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5~),
               qt6-websockets-dev (>= 6.5~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush.git
Homepage: https://invent.kde.org/libraries/kunifiedpush

Package: kunifiedpush
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Provides: unifiedpush-distributor,
Description: UnifiedPush distributor daemon
 Distributor daemon implementing the UnifiedPush protocol to provide push
 notification to client applications.
 .
 This distributor supports Gotify, NextPush and Ntfy providers.

Package: libkunifiedpush-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: UnifiedPush client library - data files
 This library can be used by applications wanting to receive push
 notifications from a UnifiedPush distributor like KUnifiedPush.
 .
 The library implements Message Encryption for Web Push (RFC 8291) and
 Voluntary Application Server Identification (VAPID) (RFC 8292).
 .
 This package contains the architecture-independent data files for
 libkunifiedpush.

Package: libkunifiedpush-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkunifiedpush1 (= ${binary:Version}), ${misc:Depends},
Description: UnifiedPush client library - development files
 This library can be used by applications wanting to receive push
 notifications from a UnifiedPush distributor like KUnifiedPush.
 .
 The library implements Message Encryption for Web Push (RFC 8291) and
 Voluntary Application Server Identification (VAPID) (RFC 8292).
 .
 This package contains the development files for libkunifiedpush.

Package: libkunifiedpush1
Architecture: any
Multi-Arch: same
Depends: libkunifiedpush-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kunifiedpush | unifiedpush-distributor,
Description: UnifiedPush client library
 This library can be used by applications wanting to receive push
 notifications from a UnifiedPush distributor like KUnifiedPush.
 .
 The library implements Message Encryption for Web Push (RFC 8291) and
 Voluntary Application Server Identification (VAPID) (RFC 8292).

## kunifiedpush 25.04.3

=== debian/changelog ===
kunifiedpush (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:29 +0100

kunifiedpush (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:57:45 +0100

kunifiedpush (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kunifiedpush
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -18,8 +19,8 @@
                qt6-websockets-dev (>= 6.5~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
 Homepage: https://invent.kde.org/libraries/kunifiedpush
 
 Package: kunifiedpush
@@ -53,7 +54,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkunifiedpush1 (= ${binary:Version}), ${misc:Depends},
+Depends: libkunifiedpush1 (= ${binary:Version}),
+         ${misc:Depends},
 Description: UnifiedPush client library - development files
  This library can be used by applications wanting to receive push
  notifications from a UnifiedPush distributor like KUnifiedPush.

## kunifiedpush 25.07.80

=== debian/changelog ===
kunifiedpush (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.
  * Install new systemd service files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:22:40 +0100

## kunifiedpush 25.07.90

=== debian/changelog ===
kunifiedpush (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:57:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                libkf6i18n-dev (>= 6.3.0~),
                libkf6kcmutils-dev (>= 6.3.0~),
                libkf6service-dev (>= 6.3.0~),
+               libkf6solid-dev (>= 6.3.0~),
+               libssl-dev,
                pkg-kde-tools,
                pkgconf,
                qt6-base-dev (>= 6.5~),

## kunifiedpush 25.08.0

=== debian/changelog ===
kunifiedpush (25.08.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Update symbols from build for 25.08.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Aug 2025 01:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kunifiedpush
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus-daemon <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -21,15 +20,16 @@
                qt6-websockets-dev (>= 6.5~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush.git
 Homepage: https://invent.kde.org/libraries/kunifiedpush
 
 Package: kunifiedpush
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: systemsettings,
 Provides: unifiedpush-distributor,
 Description: UnifiedPush distributor daemon

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	dbus-run-session -- dh_auto_test -Skf6

## kunifiedpush 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(client)
if (NOT ANDROID AND NOT KUNIFIEDPUSH_CLIENT_ONLY)
    add_subdirectory(distributor)
    add_subdirectory(notifier)
    add_subdirectory(kcm)
    add_subdirectory(tools)
endif()

=== src/notifier/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KUnifiedPushNotifier STATIC)
target_sources(KUnifiedPushNotifier PRIVATE
    contentencryptor.cpp
    notifier.cpp
    vapid.cpp
    ../shared/contentencryptionutils.cpp
    ../shared/eckey.cpp
)
set_target_properties(KUnifiedPushNotifier PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(KUnifiedPushNotifier PRIVATE
    Qt6::Network
    OpenSSL::Crypto
)

=== debian/changelog ===
kunifiedpush (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:57:39 +0100

kunifiedpush (25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Aug 2025 04:17:06 +0100

kunifiedpush (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kunifiedpush
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -20,8 +21,8 @@
                qt6-websockets-dev (>= 6.5~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunifiedpush.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunifiedpush
 Homepage: https://invent.kde.org/libraries/kunifiedpush
 
 Package: kunifiedpush

## kunifiedpush 25.08.1+p24.04+vstable+git20250927.1337

=== debian/changelog ===
kunifiedpush (25.08.1+p24.04+vstable+git20250927.1337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 13:37:55 +0000

kunifiedpush (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:56:48 +0000

kunifiedpush (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:17:57 +0000

kunifiedpush (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:53:20 +0000

kunifiedpush (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:43:54 +0000

kunifiedpush (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:11:00 +0000

kunifiedpush (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:36:24 +0000

kunifiedpush (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Mar 2025 22:31:09 +0000

kunifiedpush (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Feb 2025 22:31:11 +0000

kunifiedpush (24.12.1-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * New release with KDE Gear

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jan 2025 22:31:09 +0000

kunifiedpush (22.04.00-0neon) noble; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2023 11:15:27 +1000

## kunifiedpush 25.08.1+p24.04+vstable+git20251002.0404

=== debian/changelog ===
kunifiedpush (25.08.1+p24.04+vstable+git20251002.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:04:52 +0000

## kunifiedpush 25.08.2

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(demo-notifier demo-notifier.cpp)
target_link_libraries(demo-notifier PRIVATE
    KUnifiedPush
    Qt::DBus
)

configure_file(org.kde.kunifiedpush.demo-notifier.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kunifiedpush.demo-notifier.service)

=== src/kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_push_notifications\")

set(kcm_srcs
    clientmodel.cpp
    clientmodel.h
    kcmpushnotifications.cpp
    kcmpushnotifications.h
    nextcloudauthenticator.cpp
    nextcloudauthenticator.h
    selftest.cpp
    ../shared/connectorutils.cpp
)

set_source_files_properties(../interfaces/org.kde.kunifiedpush.distributor.Management.xml PROPERTIES INCLUDE ../shared/clientinfo_p.h)
qt_add_dbus_interface(kcm_srcs ../interfaces/org.kde.kunifiedpush.distributor.Management.xml managementinterface)

kcmutils_add_qml_kcm(kcm_push_notifications SOURCES ${kcm_srcs})
target_link_libraries(kcm_push_notifications PRIVATE
    KUnifiedPush
    KUnifiedPushNotifier
    KF6::Service
    KF6::KCMUtilsQuick
    KF6::I18n
    Qt::DBus
    Qt::Gui
)

=== debian/changelog ===
kunifiedpush (25.08.2-0zneon+24.04+noble+release+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:44 +0000

kunifiedpush (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:23:53 +0000

## kunifiedpush 25.08.2+p24.04+vstable+git20251015.1520

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.08.2+p24.04+vstable+git20251015.1520-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:20:18 +0000

## kunifiedpush 25.08.2+p24.04+vstable+git20251019.0245

=== debian/changelog ===
kunifiedpush (25.08.2+p24.04+vstable+git20251019.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:45:54 +0000

=== debian/control ===
Source: kunifiedpush
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcoreaddons-dev,
               kf6-kservice-dev,
               kf6-solid-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-websockets-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kunifiedpush.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kunifiedpush
Maintainer: Neon CI <neon@kde.org>

Package: kunifiedpush-dev
Section: libdevel
Architecture: any
Depends: kunifiedpush, qt6-base-dev, ${misc:Depends}, ${shlibs:Depends}
Description: UnifiedPush client library and distributor daemon
 Development Files.

Package: kunifiedpush
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UnifiedPush client library and distributor daemon
 Library files

## kunifiedpush 25.08.2+p24.04+vstable+git20251030.0409

=== debian/changelog ===
kunifiedpush (25.08.2+p24.04+vstable+git20251030.0409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:09:44 +0000

## kunifiedpush 25.08.2+p24.04+vstable+git20251031.0946

=== debian/changelog ===
kunifiedpush (25.08.2+p24.04+vstable+git20251031.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:46:53 +0000

## kunifiedpush 25.08.2+p24.04+vunstable+git20251011.0640

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.08.2+p24.04+vunstable+git20251011.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:51 +0000

## kunifiedpush 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== src/distributor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KUnifiedPushDistributor STATIC)

qt_add_dbus_adaptor(dbus_srcs  ../interfaces/org.unifiedpush.Distributor1.xml distributor.h KUnifiedPush::Distributor)
qt_add_dbus_adaptor(dbus_srcs  ../interfaces/org.unifiedpush.Distributor2.xml distributor.h KUnifiedPush::Distributor)
qt_add_dbus_interface(dbus_srcs ../interfaces/org.unifiedpush.Connector1.xml connector1iface)
qt_add_dbus_interface(dbus_srcs ../interfaces/org.unifiedpush.Connector2.xml connector2iface)
qt_add_dbus_adaptor(dbus_srcs  ../interfaces/org.kde.kunifiedpush.distributor.Management.xml distributor.h KUnifiedPush::Distributor)
target_sources(KUnifiedPushDistributor PRIVATE
    abstractpushprovider.cpp
    abstractpushprovider.h
    autopushprovider.cpp
    client.cpp
    client.h
    command.cpp
    command.h
    distributor.cpp
    distributor.h
    gotifypushprovider.cpp
    gotifypushprovider.h
    message.cpp
    message.h
    mockpushprovider.cpp
    mockpushprovider.h
    nextpushprovider.cpp
    nextpushprovider.h
    ntfypushprovider.cpp ntfypushprovider.h
    serversenteventsstream.cpp
    serversenteventsstream.h
    ${dbus_srcs}
)
ecm_qt_declare_logging_category(KUnifiedPushDistributor
    HEADER logging.h
    IDENTIFIER Log
    CATEGORY_NAME org.kde.kunifiedpush.distributor
    DESCRIPTION "KUnifiedPush Distributor"
    EXPORT KUnifiedPushLogging
)
target_link_libraries(KUnifiedPushDistributor PUBLIC
    KF6::Solid
    Qt::Core
    Qt::DBus
    Qt::WebSockets
)

add_executable(kunifiedpush-distributor)
target_sources(kunifiedpush-distributor PRIVATE
    main.cpp
)

target_link_libraries(kunifiedpush-distributor PRIVATE KUnifiedPushDistributor)

install(TARGETS kunifiedpush-distributor ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kunifiedpush-distributor.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

configure_file(kunifiedpush-distributor.service.in ${CMAKE_CURRENT_BINARY_DIR}/kunifiedpush-distributor.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kunifiedpush-distributor.service DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})
install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(kunifiedpush-distributor.service graphical-session.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")

=== debian/changelog ===
kunifiedpush (25.08.3-0zneon+24.04+noble+release+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:06:16 +0000

kunifiedpush (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:44 +1000

## kunifiedpush 25.08.3+p24.04+vunstable+git20251110.1054

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.08.3+p24.04+vunstable+git20251110.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 10:54:13 +0000

## kunifiedpush 25.08.3+p24.04+vunstable+git20251123.1351

=== debian/changelog ===
kunifiedpush (25.08.3+p24.04+vunstable+git20251123.1351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:51:08 +0000

## kunifiedpush 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:59 +0000

kunifiedpush (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:18:33 +0000

kunifiedpush (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:54:39 +0100

## kunifiedpush 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:14:08 +0000

## kunifiedpush 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.12.0-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:20:25 +0000

kunifiedpush (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:25 +1000

## kunifiedpush 25.12.0+p24.04+vstable+git20251208.1021

=== debian/changelog ===
kunifiedpush (25.12.0+p24.04+vstable+git20251208.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:21:50 +0000

## kunifiedpush 25.12.0+p24.04+vstable+git20251231.0337

=== debian/changelog ===
kunifiedpush (25.12.0+p24.04+vstable+git20251231.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:37:59 +0000

## kunifiedpush 25.12.0+p24.04+vstable+git20260103.0604

=== debian/changelog ===
kunifiedpush (25.12.0+p24.04+vstable+git20260103.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:04:14 +0000

## kunifiedpush 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.12.1-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 10:24:57 +0000

kunifiedpush (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:41 +1000

## kunifiedpush 25.12.1+p24.04+vstable+git20260129.0211

=== debian/changelog ===
kunifiedpush (25.12.1+p24.04+vstable+git20260129.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:11:42 +0000

## kunifiedpush 25.12.1+p24.04+vstable+git20260130.0926

=== debian/changelog ===
kunifiedpush (25.12.1+p24.04+vstable+git20260130.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:26:08 +0000

## kunifiedpush 25.12.1+p24.04+vstable+git20260201.0237

=== debian/changelog ===
kunifiedpush (25.12.1+p24.04+vstable+git20260201.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:37:19 +0000

## kunifiedpush 25.12.1+p24.04+vunstable+git20260130.1412

=== debian/changelog ===
kunifiedpush (25.12.1+p24.04+vunstable+git20260130.1412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:12:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                kf6-extra-cmake-modules,
                kf6-kcmutils-dev,
                kf6-kcoreaddons-dev,
+               kf6-kcrash-dev,
                kf6-kservice-dev,
                kf6-solid-dev,
                pkg-kde-tools-neon,

## kunifiedpush 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KUnifiedPush VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kunifiedpush (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:29:49 +0000

kunifiedpush (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:15:01 +0000

kunifiedpush (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:33:24 +0000
